## org.apache.batik.dom.svg
Interface IdContainer

All Known Implementing Classes:
  SVG12OMDocument, SVGOMDocument, SVGOMUseShadowRoot, XBLOMShadowTreeElement

    public interface IdContainer

An interface for DOM nodes that can look up elements with IDs. This is used to give common interface to `Document` and `XBLShadowTreeElement` objects.

Method Summary
`org.w3c.dom.Element` `getElementById(java.lang.String id)` Returns the element with the given ID that exists in this subtree.

Method Detail

### getElementById

    org.w3c.dom.Element getElementById(java.lang.String id)

  Returns the element with the given ID that exists in this subtree.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.